### Function

# GimpUi cairo_surface_create_from_pixbuf

#### Declaration [src]

    cairo_surface_t*
    gimp_cairo_surface_create_from_pixbuf (
      GdkPixbuf* pixbuf
    )

#### Description [src]

Create a Cairo image surface from a GdkPixbuf.

You should avoid calling this function as there are probably more efficient ways of achieving the result you are looking for.

Available since: | 2.6

#### Parameters

`pixbuf` | `GdkPixbuf`
| A `GdkPixbuf`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `cairo_surface_t`
| A #cairo_surface_t.
| The caller of the function takes ownership of the data, and is responsible for freeing it.